### Method

# FwupdPlugin UdevDevice get_bind_id

since: 1.7.2

#### Declaration [src]

    const gchar*
    fu_udev_device_get_bind_id (
      FuUdevDevice* self
    )

#### Description [src]

Gets the device ID used for binding the device, e.g. `pci:1:2:3`.

Available since: 1.7.2

Gets property | `FwupdPlugin.UdevDevice:bind-id`

#### Return value

Type: `const gchar*`

A bind_id, or NULL if unset or invalid.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.